FROM php:8.1.8-apache

RUN docker-php-ext-install mysqli && docker-php-ext-enable mysqli
RUN apt-get update && apt-get upgrade -y

RUN pecl install redis-5.3.7 \
    && pecl install xdebug-3.2.1 \
    && docker-php-ext-enable redis xdebug

WORKDIR /var/www/html

EXPOSE 80

VOLUME [ "/var/www/html" ]